]> SALOME platform Git repositories - tools/sat_salome.git/commitdiff
Salome HOME
Anticipate soon integration of psutil use (get associated files from master branch...
authorQuentin Cozette <quentin.cozette@cea.fr>
Mon, 29 Mar 2021 17:24:56 +0000 (19:24 +0200)
committerQuentin Cozette <quentin.cozette@cea.fr>
Mon, 29 Mar 2021 17:24:56 +0000 (19:24 +0200)
applications/SALOME-master-MPI.pyconf
applications/SALOME-master-native.pyconf
applications/SALOME-master-windows.pyconf
applications/SALOME-master.pyconf
products/KERNEL.pyconf
products/compil_scripts/psutil.sh [new file with mode: 0644]
products/env_scripts/psutil.py [new file with mode: 0644]
products/psutil.pyconf [new file with mode: 0644]

index 08f0a8deefa9d3ae63609d0a9ef948249060bbc7..4a5475df6155ec553b30513fa9fa311551b536d2 100644 (file)
@@ -78,6 +78,7 @@ APPLICATION :
         petsc : '3.14.0'
         Pillow : '7.1.1'
         planegcs : '0.18-3cb6890'
+        psutil : '5.7.2'
         Pygments : '2.0.2'
         pyparsing : '2.0.3'
         PyQt : '5.9'
index 37d99a035302f6c7a79bc5959d9f6b260198dc45..9390c3f054079d6f816a84f48101dfccc15be507 100644 (file)
@@ -83,6 +83,7 @@ APPLICATION :
         Pillow : 'native'
         # 'native' not exists : freeCAD part but not delivered with it from package handler
         planegcs : '0.18-3cb6890'
+        psutil : 'native'
         Pygments : 'native'
         pyparsing : 'native'
         PyQt : 'native'
@@ -136,7 +137,7 @@ APPLICATION :
         'JOBMANAGER'
         'YACS'
         'YACSGEN'
-        'SOLVERLAB'
+#        'SOLVERLAB'
         'DOCUMENTATION'
         'SAMPLES'
         'COMPONENT'
index f1453e91eb6d1b0928b1557c10f5dab65ec656f5..35046196d26caecef09a95a9628d1fd7de86d4bd 100644 (file)
@@ -86,6 +86,7 @@ APPLICATION :
         perl : '5.28.1.1'
         Pillow : '7.1.1'
         planegcs : '0.18-3cb6890'
+        psutil : '5.7.2'
         pthreads : '2.9.1'
         Pygments : '2.4.2'
         pyparsing : '2.4.0'
index 66822280cc9289eae3fac868636e8a3ffce45574..687011f5e7654bfd2837affe563aaa0d72a7ca64 100644 (file)
@@ -78,6 +78,7 @@ APPLICATION :
         petsc : '3.14.0'
         Pillow : '7.1.1'
         planegcs : '0.18-3cb6890'
+        psutil : '5.7.2'
         Pygments : '2.0.2'
         pyparsing : '2.0.3'
         PyQt : '5.15.3'
index ee760903ceff82479af08a1017acd901970c94f4..5f93e72e9136664fd924c85150ffdfc17e598de0 100644 (file)
@@ -29,7 +29,8 @@ default :
               "setuptools",
               "Pygments",
               "pytz",
-              "LIBBATCH"
+              "LIBBATCH",
+              "psutil"
               ]
     build_depend : ["cmake", "swig", "doxygen", "cppunit"]
     source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
@@ -61,7 +62,8 @@ default_win :
               "Pygments",
               "pytz",
               "LIBBATCH",
-              "graphviz"
+              "graphviz",
+              "psutil"
               ]
     build_depend : ["cmake", "swig", "doxygen", "cppunit"]
 }
@@ -86,7 +88,8 @@ default_MPI :
               "pytz",
               "cppunit",
               "openmpi",
-              "LIBBATCH"
+              "LIBBATCH",
+              "psutil"
               ]
 }
 
diff --git a/products/compil_scripts/psutil.sh b/products/compil_scripts/psutil.sh
new file mode 100644 (file)
index 0000000..b45c315
--- /dev/null
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+echo "##########################################################################"
+echo "psutil" $VERSION
+echo "##########################################################################"
+
+
+
+echo  "*** build in SOURCE directory"
+cd $SOURCE_DIR
+
+# we don't install in python directory -> modify environment as described in INSTALL file
+mkdir -p $PRODUCT_INSTALL/lib/python${PYTHON_VERSION:0:3}/site-packages
+export PATH=$(pwd)/bin:$PATH
+export PYTHONPATH=$(pwd):$PYTHONPATH
+export PYTHONPATH=${PRODUCT_INSTALL}/lib/python${PYTHON_VERSION:0:3}/site-packages:$PYTHONPATH
+
+echo
+echo "*** build and install with $PYTHONBIN"
+$PYTHONBIN setup.py install --prefix=$PRODUCT_INSTALL
+if [ $? -ne 0 ]
+then
+    echo "ERROR on build/install"
+    exit 3
+fi
+
+echo
+echo "######psutil END"
diff --git a/products/env_scripts/psutil.py b/products/env_scripts/psutil.py
new file mode 100644 (file)
index 0000000..248ed43
--- /dev/null
@@ -0,0 +1,16 @@
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os.path, platform
+
+def set_env(env, prereq_dir, version):
+    env.set("PSUTIL_ROOT_DIR",prereq_dir)
+
+    versionPython = env.get('PYTHON_VERSION')
+    if not platform.system() == "Windows" :
+        env.prepend('PYTHONPATH',os.path.join(prereq_dir, 'lib', 'python' + versionPython, 'site-packages'))
+        env.prepend('PATH', os.path.join(prereq_dir, 'bin'))
+        env.prepend('PYTHONPATH',os.path.join(prereq_dir, 'bin'))
+               
+def set_nativ_env(env):
+    pass
diff --git a/products/psutil.pyconf b/products/psutil.pyconf
new file mode 100644 (file)
index 0000000..344e3cf
--- /dev/null
@@ -0,0 +1,33 @@
+default :
+{
+    name : "psutil"
+    build_source : "script"
+    compil_script : 'pip_install' + $VARS.scriptExtension
+    get_source : "archive"
+    system_info : 
+    {
+        rpm : ["python3-psutil"]
+        rpm_dev : []
+        apt : ["python3-psutil"]
+        apt_dev : []
+    }
+    environ :
+    {
+       env_script : $name + ".py"
+    }
+    depend : ['Python', 'setuptools']
+    source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
+    build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
+    install_dir : 'base'
+    properties:
+    {
+        incremental : "yes"
+        pip : "yes"
+    }
+}
+
+default_win :
+{
+   compil_script :  'pip_install_whl' + $VARS.scriptExtension
+   archive_info : {archive_name : "psutil-" + $APPLICATION.products.psutil + "_windows.tar.gz"}
+}